List Assistant Versions
curl --request POST \
--url https://api.example.com/assistants/{assistant_id}/versionsimport requests
url = "https://api.example.com/assistants/{assistant_id}/versions"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/assistants/{assistant_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/assistants/{assistant_id}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/assistants/{assistant_id}/versions"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/assistants/{assistant_id}/versions")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/assistants/{assistant_id}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body[
{
"assistant_id": "<string>",
"name": "<string>",
"graph_id": "<string>",
"user_id": "<string>",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"config": {},
"context": {},
"metadata_dict": {}
}
]{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Assistants
List Assistant Versions
List all versions of an assistant.
Returns versions ordered from newest to oldest. Each version captures the assistant’s configuration at the time of creation or update.
POST
/
assistants
/
{assistant_id}
/
versions
List Assistant Versions
curl --request POST \
--url https://api.example.com/assistants/{assistant_id}/versionsimport requests
url = "https://api.example.com/assistants/{assistant_id}/versions"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/assistants/{assistant_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/assistants/{assistant_id}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/assistants/{assistant_id}/versions"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/assistants/{assistant_id}/versions")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/assistants/{assistant_id}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body[
{
"assistant_id": "<string>",
"name": "<string>",
"graph_id": "<string>",
"user_id": "<string>",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"config": {},
"context": {},
"metadata_dict": {}
}
]{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Response
Successful Response
Unique identifier for the assistant.
Human-readable name of the assistant.
Identifier of the graph this assistant executes.
Identifier of the user who owns this assistant.
The version of the assistant.
Timestamp when the assistant was created.
Timestamp when the assistant was last updated.
Optional description of the assistant's purpose.
Configuration passed to the graph at runtime.
Context variables available to the graph during execution.
Arbitrary metadata for searching and filtering.